<?php

if (!defined('ABSPATH')) exit;

function flik_timeline_add_action_links($links)
{
    $links[] = '<a href="https://codecanyon.net/item/flik-timeline-wordpress-responsive-timeline-plugin/17409873?ref=askerov" target="_blank" title="Flik Timeline Pro "><b style="color:red">Go <i>Pro</i></b></a>';
    $links[] = '<a href="http://codecanyon.net/user/askerov/portfolio?ref=Askerov" target="_blank">More plugins by Askerov</a>';

    return $links;
}

add_filter('plugin_action_links_' . FLIK_TIMELINE_PLUGIN_SLUG, 'flik_timeline_add_action_links', 100);


/**
 *  Flik Timeline Post Type
 */
function flik_timeline_post_type()
{
    global $flik_timeline_post_type_labels;

    $args = array(
        'labels' => $flik_timeline_post_type_labels,
        'public' => true,
        'has_archive' => true,
        'publicly_queryable' => true,
        'query_var' => true,
        'rewrite' => true,
        'capability_type' => 'post',
        'hierarchical' => false,
        'supports' => array(
            'title',
            'editor',
            'thumbnail',
            'page-attributes'
        ),
        //'taxonomies' => array(FLIK_TIMELINE_TAXONOMY),
        'menu_position' => 5,
        'exclude_from_search' => false
    );
    register_post_type(FLIK_TIMELINE_POST_TYPE, $args);
}

add_action('init', 'flik_timeline_post_type');


/**
 * FLIK TIMELINE gallery settings
 */
function flik_timeline_add_gallery_settings()
{
    ?>
    <script type="text/html" id="tmpl-flik-gallery-setting">
        <h3 style="z-index: -1;">
            ___________________________________________________________________________________________</h3>
        <h3><?php _e('Timeline settings', 'flik'); ?></h3>
        <label class="setting">
            <span><?php _e('Select your image type'); ?></span>
            <select data-setting="flik_slider" name="flik_slider" id="flik_slider">
                <option value="thumb-slider" selected="selected"> Thumbnails Slider</option>
                <option value="image-slider"> Image Slider</option>
            </select>
        </label>
    </script>
    <script>
        jQuery(document).ready(function () {
            _.extend(wp.media.gallery.defaults, {
                //flik_slider: 'thumb-slider'
            });

            wp.media.view.Settings.Gallery = wp.media.view.Settings.Gallery.extend({
                template: function (view) {
                    return wp.media.template('gallery-settings')(view)
                        + wp.media.template('flik-gallery-setting')(view);
                }
            });

        });
    </script>
    <?php
}

add_action('print_media_templates', 'flik_timeline_add_gallery_settings');


/**
 * FLIK TIMELINE TinyMCE FLIK-TIMELINE TAG
 */
add_action('admin_head', 'flik_timeline_add_tc_button');
function flik_timeline_add_tc_button()
{
    global $typenow;
    if (!current_user_can('edit_posts') && !current_user_can('edit_pages')) {
        return;
    }
    if (!in_array($typenow, array('post', 'page')))
        return;

    if (get_user_option('rich_editing') == 'true') {
        add_filter("mce_external_plugins", "flik_timeline_tinymce_plugin");
        add_filter('mce_buttons', 'flik_timeline_register_tc_button');
    }
}

function flik_timeline_tinymce_plugin($plugin_array)
{
    $plugin_array['flik_timeline_tc_button'] = FLIK_TIMELINE_URL . 'assets/flik-admin.js';

    return $plugin_array;
}

function flik_timeline_register_tc_button($buttons)
{
    array_push($buttons, "flik_timeline_tc_button");
    return $buttons;
}


function flik_timeline_tc_css()
{
    wp_enqueue_style('flik_timeline-tc', FLIK_TIMELINE_URL . 'assets/flik-admin.css');
}

add_action('admin_enqueue_scripts', 'flik_timeline_tc_css');


/******************/
add_action('admin_menu', 'flik_timeline_metabox_add', 10);

function flik_timeline_metabox_add()
{
    add_meta_box(
        'flik-pro-banner',
        'Support Flik Timeline',
        'flik_timeline_support_section',
        'flik_timeline',
        'side',
        'low'
    );
}


function flik_timeline_support_section($post, $callback)
{
    global $post;

    $pro_add = '<div>
                        <strong class="flik_add_head">Upgrade to Pro version</strong>
                       
                         <a target="_blank" title="GET PRO VERSION" href="https://codecanyon.net/item/flik-timeline-wordpress-responsive-timeline-plugin/17409873?ref=askerov">
                            <img src="' . FLIK_TIMELINE_URL . 'assets/images/preview-image.png" width="230">
                         </a>
                           <a target="_blank" href="http://timeline.cidcode.net">
                            View Demos
                         </a> 
                  </div>';
    echo $pro_add;
}