<?php

if (!defined('ABSPATH')) exit;

function flik_timeline_scripts()
{
    if (is_single() || is_page()) {

        wp_enqueue_style('flik_timeline-flik-css', FLIK_TIMELINE_URL . 'assets/flik/css/flik-timeline.min.css');
        wp_enqueue_style('flik_timeline-magnific', FLIK_TIMELINE_URL . 'assets/flik/css/magnific-popup.min.css');
        wp_enqueue_style('flik_timeline-bxslider', FLIK_TIMELINE_URL . 'assets/flik/css/jquery.bxslider.min.css');

        wp_enqueue_script("jquery");
        wp_enqueue_script('flik_timeline-magnific', FLIK_TIMELINE_URL . 'assets/flik/js/jquery.magnific-popup.min.js');
        wp_enqueue_script('flik_timeline-js', FLIK_TIMELINE_URL . 'assets/flik/js/flik-timeline.js');
        wp_enqueue_script('flik_timeline-bxslider', FLIK_TIMELINE_URL . 'assets/flik/js/jquery.bxslider.min.js');
    }
}

add_action('wp_enqueue_scripts', 'flik_timeline_scripts');

function flik_timeline_short_code($atts)
{
    global $flik_timeline_style_template, $flik_timeline_date_format_1, $flik_timeline_effects_template, $_slider_template, $_thumbnails_template;
    $output = '';




    $flik_style = 'style1';
    $flik_scroll_effect = 'bounce';


    $_templates = '';

    $args = array(
        'post_type' => FLIK_TIMELINE_POST_TYPE,
        'orderby' => 'date',
        'order' => 'ASC',
        'posts_per_page' => -1,
        'post_status' => array('publish', 'future')
    );

    $loop = new WP_Query($args);
    if ($loop->have_posts()) {

        while ($loop->have_posts()) : $loop->the_post();

            $_post=$loop->post;
            $flik_content = get_the_content();

            $start_gallery_index = strpos($flik_content, '[gallery');

            if ($start_gallery_index !== false) {
                $end_gallery_index = strpos($flik_content, ']', $start_gallery_index);
                $flik_content = substr($flik_content, 0, $start_gallery_index) . substr($flik_content, $end_gallery_index + 1, strlen($flik_content));
            }

            $_title = get_the_title();
            $_date = get_the_date();

            $_content = $flik_content;


            if (get_post_gallery()) : $gallery = get_post_gallery(get_the_ID(), false);


                $args = array(
                    'post_type' => 'attachment',
                    'posts_per_page' => -1,
                    'post_status' => 'any',
                    'post__in' => explode(',', $gallery['ids'])
                );
                $attachments = get_posts($args);
                $_slider_content = '';
                foreach ($attachments as $attachment) {
                    $image_url = wp_get_attachment_image_src($attachment->ID, 'full');
                    $thumb_url = wp_get_attachment_thumb_url($attachment->ID);
                    $image_caption = $attachment->post_excerpt;

                    if ($gallery['flik_slider'] == 'image-slider') {
                        $_slider_content .= str_replace("{0}",$image_url[0], $_slider_template);
                    } else {

                        $_template= str_replace("{0}",$image_url[0], $_thumbnails_template);
                        $_template= str_replace("{1}",$image_caption, $_thumbnails_template);
                        $_template= str_replace("{2}",$thumb_url, $_thumbnails_template);
                        $_slider_content .= $_template;//flik_str_format($_thumbnails_template, $image_url[0], $image_caption, $thumb_url);
                    }
                }

                if ($gallery['flik_slider'] == 'image-slider') {
                    $_content .='<div class="flik-slider-container"><ul class="flik-slider">'.$_slider_content.'</ul></div>';
                } else {
                    $_content .= '<div class="flik-thumbnails"><ul class="flik-thumbnails-slider">'.$_slider_content.'</ul></div>' ;
                }

            endif;
            $_content = do_shortcode($_content);
            $_style_template = $flik_timeline_style_template[$flik_style]['template'];

            $_style_template= str_replace("{0}",$_date, $_style_template);
            $_style_template= str_replace("{1}",$_title, $_style_template);
            $_style_template= str_replace("{2}",$_content, $_style_template);

            $_templates .=$_style_template;// flik_str_format($_style_template, $_date, $_title, $_content);


        endwhile;

        wp_reset_query();
    }
    $_style_root = $flik_timeline_style_template[$flik_style]['root'];

   // $_temp=str_replace("{0}",$_templates, $_style_root);
    $_style_root= str_replace("{0}",$_templates, $_style_root);
    $_style_root= str_replace("{1}",$flik_timeline_effects_template[$flik_scroll_effect], $_style_root);

    $output =$_style_root;// flik_str_format($_style_root, $_templates, $flik_timeline_effects_template[$flik_scroll_effect]);;

    return $output;
}

add_shortcode(FLIK_TIMELINE_SLUG, 'flik_timeline_short_code');


?>
